## LassoSamlp2AttributeQuery LassoSamlp2AttributeQuery — <samlp2:AttributeQuery> |

## Functions

LassoNode * | lasso_samlp2_attribute_query_new ()

## Types and Values

struct | LassoSamlp2AttributeQuery

## Description

Figure 70. Schema fragment for samlp2:AttributeQuery

    <complexType name="AttributeQueryType">
      <complexContent>
        <extension base="samlp:SubjectQueryAbstractType">
          <sequence>
            <element ref="saml:Attribute" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_attribute_query_new ()

    LassoNode *
    lasso_samlp2_attribute_query_new (void);

Creates a new LassoSamlp2AttributeQuery object.

#### Returns

a newly created LassoSamlp2AttributeQuery object

## Types and Values

### struct LassoSamlp2AttributeQuery

    struct LassoSamlp2AttributeQuery {
    	LassoSamlp2SubjectQueryAbstract parent;

    	/* elements */
    	GList *Attribute; /* of LassoSaml2Attribute */
    };